Page MenuHomePhabricator

Deploy 6-element DSR to prod
Closed, ResolvedPublic

Description

To address T262408: [TRACKING] Selser issues on talk pages, Parsoid added additional elements to its DSR fields in e4b44598aaab88b3610292b90b527ee587d3537e. The existing production deploy (v0.13.0-a11 in 1.36.0-wmf.11) did not expect these, and would throw an assertion failure if they were encountered.

In order to gracefully handle rollbacks during the train deploy of v0.13.0-a12 with 1.36.0-wmf.14 (especially since the train deploys of wmf.12 and wmf.13 were troublesome), we landed 87e0ea76e10b2c1b4622a8a519fb97a270169c1b in v0.13.0-a12 to temporarily disable generation of the 6-element DSRs. The code in -a12 would still understand them if encountered (without throwing an assertion failure).

We plan to cherry pick a revert of 87e0ea76e10b2c1b4622a8a519fb97a270169c1b into v0.13.0-a13, branched off from v0.13.0-a12, and deploy an upgrade from -a12 to -a13 to mediawiki/vendor, and then cherry-pick *that* into the 1.36.0-wmf.14 branch as a SWAT once the danger of a rollback of wmf.14 is past (we are planning Monday 2020-10-26). This will start generating the 6-element DSRs and storing them in RESTBase.

Event Timeline

cscott created this task.Oct 22 2020, 9:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 22 2020, 9:50 PM

Change 635895 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/vendor@master] Bump wikimedia/parsoid to v0.13.0-a13

https://gerrit.wikimedia.org/r/635895

Change 635782 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/vendor@wmf/1.36.0-wmf.14] Bump wikimedia/parsoid to v0.13.0-a13

https://gerrit.wikimedia.org/r/635782

Change 635895 merged by jenkins-bot:
[mediawiki/vendor@master] Bump wikimedia/parsoid to v0.13.0-a13

https://gerrit.wikimedia.org/r/635895

Change 635782 merged by jenkins-bot:
[mediawiki/vendor@wmf/1.36.0-wmf.14] Bump wikimedia/parsoid to v0.13.0-a13

https://gerrit.wikimedia.org/r/635782

Mentioned in SAL (#wikimedia-operations) [2020-10-26T18:46:04Z] <catrope@deploy1001> Synchronized php-1.36.0-wmf.14/vendor/wikimedia/parsoid/: Bump wikimedia/parsoid to v0.13.0-a13, enabling 6-element DSRs (T266285) (duration: 00m 58s)

ssastry closed this task as Resolved.Oct 27 2020, 3:55 PM
ssastry triaged this task as High priority.